#include<bits/stdc++.h>
using namespace std;
struct bag
{
    int v;
    int in;
};
bool cmp(bag a,bag b)
{
    return a.v>b.v;
}
vector<int>solve(vector<int>A)
{
    int n=A.size();
    vector<int>ans;

    ans.push_back(n-1);
    int i=n-4;
    bool ch=0;
    while(i>=0)
    {
        ans.push_back(i);
        if(ch)
        {
            ch=0;
            i-=3;
        }
        else
        {
            ch=1;
            i--;
        }
    }
    i=n-2;
    ch=0;
    while(i>=0)
    {
        ans.push_back(i);
        if(ch)
        {
            ch=0;
            i-=3;
        }
        else
        {
            ch=1;
            i--;
        }
    }

    /*
    vector<bag>a;
    for(int i=0; i<n; i++)
    {
        a.push_back({A[i],i});
    }
    sort(a.begin(),a.end(),cmp);
    vector<int>ans1,ans2;
    long long int s1=0,s2=0;
    for(int i=0; i<n; i++)
    {
        if(s2<s1)
        {
            s2+=a[i].v;
            ans2.push_back(a[i].in);
        }
        else
        {
            s1+=a[i].v;
            ans1.push_back(a[i].in);
        }
    }
    if(s1>=s2)
    {
        for(int i=0; i<ans1.size(); i++)
        {
            ans.push_back(ans1[i]);
        }
        for(int i=0; i<ans2.size(); i++)
        {
            ans.push_back(ans2[i]);
        }
    }
    else
    {
        for(int i=0; i<ans2.size(); i++)
        {
            ans.push_back(ans1[i]);
        }
        for(int i=0; i<ans1.size(); i++)
        {
            ans.push_back(ans2[i]);
        }
    }
    */
    return ans;
}
